Retrieve secondary zones
Returns a list of the secondary DNS zones for the customer. Default limit is the first 100 items. Use pagination query parameters for listing more items (up to 1000).
Supports offset/limit pagination and forward-only cursor pagination via the pagination.token parameter. offset and pagination.token are mutually exclusive (passing both is a 400). limit controls the page size for either. When there are more results to return, the token is returned in the pagination.token field of the response body (and in the _links.next URL) and is absent on the last page. When a token is used, _links.prev is not provided.
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
The list of possible provisioning states in which DNS resource could be at the specific time.
- AVAILABLE - resource exists and is healthy.
- PROVISIONING - resource is being created or updated.
- DESTROYING - delete command was issued, the resource is being deleted.
- FAILED - creation of the resource failed.
Filter used to fetch only the zones that contain the specified zone name.
example.comThe first element (of the total list of elements) to include in the response. Use together with limit for pagination.
0The maximum number of elements to return. Use together with offset for pagination.
100Opaque cursor token identifying a page of results. Returned in the
pagination.token field (and the _links.next URL) of a response
when more results remain, and accepted back via the
pagination.token query parameter to fetch that page. The token uses
a URL-safe encoding limited to the characters A-Z, a-z, 0-9,
- and _, so it can be round-tripped in a query string without
escaping.
Q3T9F2xVn8pLk4mZaR7wYeUdIoBs1cHjPattern: ^[A-Za-z0-9_-]+$Successful operation.
List of secondary zones
ID (UUID) created to identify this action.
e74d0d15-f567-4b7b-9069-26ee1f93bae3<RESOURCE-URI>Pagination offset.
0Pagination limit.
1000Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
GET /secondaryzones HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "e74d0d15-f567-4b7b-9069-26ee1f93bae3",
"type": "collection",
"href": "<RESOURCE-URI>",
"offset": 0,
"limit": 1000,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
},
"items": [
{
"id": "e74d0d15-f567-4b7b-9069-26ee1f93bae3",
"type": "zone",
"href": "<RESOURCE-URI>",
"metadata": {
"createdDate": "2022-08-21T15:52:53Z",
"createdBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2022-08-21T15:52:53Z",
"lastModifiedBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "PROVISIONING",
"nameservers": [
"ns-ic.ui-dns.com",
"ns-ic.ui-dns.de",
"ns-ic.ui-dns.org",
"ns-ic.ui-dns.biz"
]
},
"properties": {
"zoneName": "example.com",
"description": "The hosted zone is used for example.com",
"primaryIps": [
"1.2.3.4",
"5.6.7.8"
]
}
}
],
"pagination": {
"token": "Q3T9F2xVn8pLk4mZaR7wYeUdIoBs1cHj"
}
}Last updated
Was this helpful?